> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/routing-journals.md).

# Routing Journals

Endpoints to read the journal entries recorded for a routing process.

## List routing journal entries by processRef

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Returns a paginated list of routing journal entries filtered by processRef.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read the journal entries recorded for a routing process.","name":"Routing journals"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RoutingJournals":{"properties":{"routingJournals":{"description":"Array of the routing journal entries","items":{"$ref":"#/components/schemas/RoutingJournal"},"maxItems":500,"type":"array"},"total":{"description":"Total number of found entities for this query","type":"number"}},"required":["routingJournals","total"],"title":"RoutingJournals","type":"object","description":"RoutingJournals"},"RoutingJournal":{"properties":{"blacklistedFacilityData":{"description":"List of blacklisted facilities associated with this routing journal entry","items":{"$ref":"#/components/schemas/RoutingJournalBlacklistedFacilityData"},"type":"array"},"changeType":{"description":"Type of change recorded in this routing journal entry","enum":["INITIAL","PROCESS_REROUTE","PROCESS_MANUAL_ASSIGNED","TASK_MANUAL_REROUTED","PICKJOB_REJECTED","PICKJOB_SHORTPICKED","PICKJOB_ABORTED","TIME_TRIGGERED_REROUTE","ORDER_MODIFIED","TIME_TRIGGERED_INACTIVITY_REROUTE"],"type":"string"},"created":{"description":"Creation date of this routing journal entry","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this routing journal entry","type":"string"},"orderRef":{"description":"Reference to the associated order","type":"string"},"processRef":{"description":"Reference to the associated process","type":"string"},"rerouteDescriptionRef":{"description":"Reference to the reroute description associated with this routing journal entry","nullable":true,"type":"object"},"routingPlanRefs":{"description":"References to the routing plans associated with this journal entry","items":{"type":"string"},"type":"array"},"runId":{"description":"The technical id for a sourcing option evaluation","type":"string"},"sourcingOptionRef":{"description":"Reference to the sourcing option used for routing","nullable":true,"type":"object"}},"required":["runId","blacklistedFacilityData","id","created","processRef","orderRef","sourcingOptionRef","changeType","routingPlanRefs","rerouteDescriptionRef"],"title":"RoutingJournal","type":"object","description":"RoutingJournal"},"RoutingJournalBlacklistedFacilityData":{"properties":{"facilityRef":{"description":"Reference to the facility","type":"string"}},"required":["facilityRef"],"title":"RoutingJournalBlacklistedFacilityData","type":"object","description":"RoutingJournalBlacklistedFacilityData"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/routing/journals":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Returns a paginated list of routing journal entries filtered by processRef.","operationId":"listRoutingJournals","parameters":[{"in":"query","name":"processRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"orderRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"size","required":false,"schema":{"default":25,"maximum":100,"minimum":1,"type":"number"}},{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoutingJournals"}}},"description":"Successfully retrieved the routing journal entries."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List routing journal entries by processRef","tags":["Routing journals"]}}}}
```

## Get a routingJournal by its ID

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves a single routingJournal using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read the journal entries recorded for a routing process.","name":"Routing journals"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RoutingJournal":{"properties":{"blacklistedFacilityData":{"description":"List of blacklisted facilities associated with this routing journal entry","items":{"$ref":"#/components/schemas/RoutingJournalBlacklistedFacilityData"},"type":"array"},"changeType":{"description":"Type of change recorded in this routing journal entry","enum":["INITIAL","PROCESS_REROUTE","PROCESS_MANUAL_ASSIGNED","TASK_MANUAL_REROUTED","PICKJOB_REJECTED","PICKJOB_SHORTPICKED","PICKJOB_ABORTED","TIME_TRIGGERED_REROUTE","ORDER_MODIFIED","TIME_TRIGGERED_INACTIVITY_REROUTE"],"type":"string"},"created":{"description":"Creation date of this routing journal entry","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this routing journal entry","type":"string"},"orderRef":{"description":"Reference to the associated order","type":"string"},"processRef":{"description":"Reference to the associated process","type":"string"},"rerouteDescriptionRef":{"description":"Reference to the reroute description associated with this routing journal entry","nullable":true,"type":"object"},"routingPlanRefs":{"description":"References to the routing plans associated with this journal entry","items":{"type":"string"},"type":"array"},"runId":{"description":"The technical id for a sourcing option evaluation","type":"string"},"sourcingOptionRef":{"description":"Reference to the sourcing option used for routing","nullable":true,"type":"object"}},"required":["runId","blacklistedFacilityData","id","created","processRef","orderRef","sourcingOptionRef","changeType","routingPlanRefs","rerouteDescriptionRef"],"title":"RoutingJournal","type":"object","description":"RoutingJournal"},"RoutingJournalBlacklistedFacilityData":{"properties":{"facilityRef":{"description":"Reference to the facility","type":"string"}},"required":["facilityRef"],"title":"RoutingJournalBlacklistedFacilityData","type":"object","description":"RoutingJournalBlacklistedFacilityData"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/routing/journals/{id}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves a single routingJournal using its unique identifier.","operationId":"getRoutingJournalById","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoutingJournal"}}},"description":"Successfully retrieved the routingJournal."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get a routingJournal by its ID","tags":["Routing journals"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/routing-journals.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
